Page MenuHomePhabricator

[CloneFunction] Preserve DT in DuplicateInstructionsInSplitBetween.
ClosedPublic

Authored by fhahn on Mar 19 2018, 8:31 AM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

I'm not a reviewer, but it LGTM. You might want to ask @kuhar to review too.

fhahn added a reviewer: kuhar.Mar 20 2018, 8:13 AM

Just passing in DT here is the easy way to update the dominator tree. But we should start switching to deferred dominators (or a more generic update object) at some point.

kuhar accepted this revision.Mar 21 2018, 6:56 PM
This revision is now accepted and ready to land.Mar 21 2018, 6:56 PM
This revision was automatically updated to reflect the committed changes.